org.jbpm.process.instance

## Interface InternalProcessRuntime

- All Superinterfaces:
    org.kie.internal.process.CorrelationAwareProcessRuntime, org.drools.core.runtime.process.InternalProcessRuntime, org.kie.api.event.process.ProcessEventManager, org.kie.api.runtime.process.ProcessRuntime

      public interface InternalProcessRuntime
      extends org.drools.core.runtime.process.InternalProcessRuntime

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.drools.core.event.ProcessEventSupport` | `getProcessEventSupport()`
    `ProcessInstanceManager` | `getProcessInstanceManager()`
    `SignalManager` | `getSignalManager()`
    `TimerManager` | `getTimerManager()`

    - ### Methods inherited from interface org.drools.core.runtime.process.InternalProcessRuntime

      `clearProcessInstances, clearProcessInstancesState, dispose, setProcessEventSupport`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime

      `abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessInstance`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventManager

      `addEventListener, getProcessEventListeners, removeEventListener`

    - ### Methods inherited from interface org.kie.internal.process.CorrelationAwareProcessRuntime

      `createProcessInstance, getProcessInstance, startProcess, startProcessFromNodeIds`

- - ### Method Detail

    - #### getProcessInstanceManager

          ProcessInstanceManager getProcessInstanceManager()

    - #### getSignalManager

          SignalManager getSignalManager()

    - #### getTimerManager

          TimerManager getTimerManager()

    - #### getProcessEventSupport

          org.drools.core.event.ProcessEventSupport getProcessEventSupport()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.